## pillow-sane 2.7.0

=== debian/changelog ===
pillow-sane (2.7.0-1ubuntu1) vivid; urgency=medium

  * Add build dependency on python-pil.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Feb 2015 03:24:06 +0100

pillow-sane (2.7.0-1) experimental; urgency=medium

  * Pillow Sane 2.7.0 release, split out from the Pillow sources.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 15:34:46 +0100

pillow (2.6.1-1) unstable; urgency=medium

  * Pillow 2.6.1 release.
  * Update jpeg build dependency. Closes: #763491.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Oct 2014 20:30:42 +0200

pillow (2.6.0-1) unstable; urgency=medium

  * Pillow 2.6.0 release.
  * Add test images missing in the release.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Oct 2014 14:23:21 +0200

pillow (2.6.0~rc1-1) unstable; urgency=medium

  * Pillow 2.6.0 release candidate 1.
    - Provides distributable test image files. Closes: #760171.
    - Fix comparing an Image to anything that's not an image. Closes: #758927.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 12:13:58 +0200

pillow (2.5.3-1) unstable; urgency=medium

  * Pillow 2.5.3 release.
    - Fix CVE-2014-3589, a DOS in the IcnsImagePlugin. Closes: #758772.
    - Fix CVE-2014-3598, a DOS in the Jpeg2KImagePlugin.
  * Build-Depend on dh-python.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 08:56:15 +0200

pillow (2.5.1-6) unstable; urgency=medium

  * Allow stderr output for the upstream autopkg tests.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Aug 2014 00:15:29 +0200

pillow (2.5.1-5) unstable; urgency=medium

  * Add python-nose, python3-nose to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2014 13:10:39 +0200

pillow (2.5.1-4) unstable; urgency=medium

  * Run the tests sequentially, and increase the timeout.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 19:20:32 +0200

pillow (2.5.1-3) unstable; urgency=medium

  * Run tests during the build.
  * Disable running the imagecms tests.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 17:57:45 +0200

pillow (2.5.1-2) unstable; urgency=medium

  * Update autopkg tests for 2.5.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2014 13:14:26 +0200

pillow (2.5.1-1) unstable; urgency=medium

  * Pillow 2.5.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 23:43:18 +0200

pillow (2.4.0-2) unstable; urgency=medium

  * Require python-tk and python3-tk versions built for Tcl/Tk 8.6.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jun 2014 13:59:57 +0200

pillow (2.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fix configuration on non-linux platforms. Closes: #745714.
    - CVE-2014-1932, CVE-2014-1933: Fix insecure use of /tmp. Closes: #737059.
  * Fix detection of Tk. Closes: #746051.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Apr 2014 00:48:53 +0200

pillow (2.3.0-2) unstable; urgency=medium

  * Build for python 3.4.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2014 20:41:50 +0100

pillow (2.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Don't ship the color profiles in the source and disable the tests
    using the profiles. Closes: #737425.
  * Support a webp file in $ADTTMP in the testsuite, and generate it in the
    autopktests. Closes: #736242.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Feb 2014 15:02:06 +0100

pillow (2.2.1-3) unstable; urgency=low

  * Add PngImagePlugin.py to PILcompat directory.
  * Add autopkgtest. Closes: #729462.
  * Build using lcms2.
  * Build with WebP support. Closes: #707827.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2013 12:49:38 +0100

pillow (2.2.1-2) unstable; urgency=low

  * Fix build failure with new freetype header layout.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2013 18:54:44 +0100

pillow (2.2.1-1) unstable; urgency=low

  * New upstream version, package source as pillow.
  * python-imaging: Breaks fretsonfire-game (<= 1.3.110.dfsg-3).
    Closes: #729209.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2013 23:48:20 +0000

python-imaging (1.1.7+2.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Rename python3-imaging* packages to python3-pil*
  * Rename python-imaging to python-pil and python-imaging-compat to
    python-imaging (use python-imaging until given package imports Image
    directly, i.e. needs .pth file)
  * Rename python-imaging-tk to python-pil.imagetk, provide the old name
  * Rename python-imaging-sane to python-sane, provide the old name
  * Rename other python-imaging-* packages to python-pil-* and Provide the old
    names

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Oct 2013 22:23:11 +0200

python-imaging (1.1.7+2.0.0-1) experimental; urgency=low

  * Pillow 2.0.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 16:44:01 -0700

python-imaging (1.1.7+1.7.8-4) experimental; urgency=low

  * Require python-defaults (>= 2.7.3-11) for the build. Closes: #700716.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 14:59:19 +0100

python-imaging (1.1.7+1.7.8-3) experimental; urgency=low

  * Fix python-tk build dependencies. Closes: #700716.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Feb 2013 02:24:36 +0100

python-imaging (1.1.7+1.7.8-2) experimental; urgency=low

  * Add python-imaging-compat modules to get back the old top-level
    module names (i.e. not subpackages within PIL) for Python 2 only.
  * python-imaging: Depend on python-imaging-compat for now.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2013 16:48:37 +0100

python-imaging (1.1.7+1.7.8-1) experimental; urgency=low

  * Build from the Pillow fork, version 1.7.8, plus vcs updates.
  * Build using setuptools.
  * Build python3 packages, using port by Brian Crowell.
  * Allow the package to cross-build.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 18:52:38 +0100

python-imaging (1.1.7-4) unstable; urgency=low

  * Add multiarch search directories as given by dpkg-architecture.

