## pillow-sane 2.8.2

=== debian/changelog ===
pillow-sane (2.8.2-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:57 +0000

pillow-sane (2.8.2-1) unstable; urgency=medium

  * Pillow Sane 2.8.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 03:17:42 +0200

pillow-sane (2.8.1-1) unstable; urgency=medium

  * Pillow Sane 2.8.1 release.
  * Add build dependency on python-pil.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jun 2015 19:39:34 +0200
