=== debian/watch ===
version=3
https://github.com/python-pillow/Sane/releases .*/archive/v(.*).tar.gz
