## pillow-sane 2.8.3

=== debian/changelog ===
pillow-sane (2.8.3-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:18 +0100

pillow-sane (2.8.3-4) unstable; urgency=medium

  * Remove left-over dh_numpy call.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 20:59:06 +0100

pillow-sane (2.8.3-3) unstable; urgency=medium

  * Stop building the Python2 packages. Closes: #937291.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jan 2020 11:41:15 +0100

pillow-sane (2.8.3-2) unstable; urgency=medium

  * python-sane-dbg: Depend on python2-dbg.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jan 2020 19:57:30 +0100

pillow-sane (2.8.3-1) unstable; urgency=medium

  * Pillow Sane 2.8.3 release.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2017 19:36:27 +0100
