=== debian/control ===
Source: pillow-sane
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
  dh-python,
  python3-all-dev, python3-all-dbg, python3-setuptools,
  libsane-dev,
  python3-pil (>= 2.7), python3-pil-dbg (>= 2.7),
  python3-numpy, python3-numpy-dbg
Build-Conflicts: python-cffi, python3-cffi
Standards-Version: 4.4.1
Homepage: http://python-pillow.github.io/
XS-Testsuite: autopkgtest

Package: python3-sane
Architecture: any
Multi-Arch: same
Depends: python3-pil (>= 2.7.0), ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-tk (>= 2.5.2-1.1)
Suggests: python-pil-doc, python3-sane-dbg
Provides: ${python3:Provides}
Breaks: python3-imaging-sane (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-sane (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (Python3)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.

Package: python3-sane-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: python3-sane (= ${binary:Version}),
  python3-pil-dbg (>= 2.7.0),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (Python3 debug extension)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
 .
 This package contains the extension built for the Python debug interpreter.
