=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYVERS	:= $(shell pyversions -vr)
-PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
-
 PY3VERS	:= $(shell py3versions -vr)
 PY3VER   := $(shell python3 -c 'import sys; print(sys.version[:3])')
 
-include /usr/share/python/python.mk
+include /usr/share/python3/python.mk
 
 include /usr/share/dpkg/architecture.mk
 ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
@@ -22,7 +19,7 @@
 build-arch: build
 build-indep: build
 build: build-stamp
-build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%) $(PYVERS:%=check-stamp-python%) $(PY3VERS:%=check-stamp-python%)
+build-stamp: $(PY3VERS:%=build-stamp-python%) $(PY3VERS:%=check-stamp-python%)
 	touch $@
 build-stamp-python%:
 	$(SET_CROSS_ENV) python$* setup.py build
@@ -50,8 +47,8 @@
 	rm -rf tmp
 	dh_clean
 
-install: build install-prereq $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
-	dh_installdocs -ppython-sane sanedoc.txt
+install: build install-prereq $(PY3VERS:%=install3-python%)
+	dh_installdocs -ppython3-sane sanedoc.txt
 #	dh_installexamples -ppython-sane demo*.py
 
 	: # Replace all '#!' calls to python with /usr/bin/python
@@ -82,14 +79,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-
-install-python%:
-	$(SET_CROSS_ENV) python$* setup.py install \
-		--root $(CURDIR)/debian/python-sane $(py_setup_install_args)
-
-	$(SET_CROSS_ENV) python$*-dbg setup.py install \
-		--root $(CURDIR)/debian/python-sane-dbg $(py_setup_install_args)
+	dh_prep
 
 install3-python%:
 	$(SET_CROSS_ENV) python$* setup.py install \
@@ -103,17 +93,6 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
-	dh_installdocs -i
-	dh_installexamples -i
-	dh_installchangelogs -i #CHANGES
-	dh_python2 -i
-	dh_link -i
-	dh_compress -i -X.py
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -123,17 +102,13 @@
 	dh_installexamples -a
 	dh_installchangelogs -a #CHANGES
 	for p in \
-	  python-sane \
 	  python3-sane; \
 	do \
 	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	done
-	dh_python2 -a
 	dh_python3 -a
-	dh_numpy -a
 	dh_numpy3 -a
-	dh_strip -ppython-sane --dbg-package=python-sane-dbg
 	dh_strip -ppython3-sane --dbg-package=python3-sane-dbg
 	dh_link -a
 	dh_compress -a -X.py
