## pillow-sane 2.9.1

=== debian/changelog ===
pillow-sane (2.9.1-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:20:11 +0000

pillow-sane (2.9.1-3) unstable; urgency=medium

  * Bump standards version.
  * Update watch file.
  * Clean-up ancient breaks/replaces and versioned dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 09:46:16 +0100

pillow-sane (2.9.1-2) unstable; urgency=medium

  * Stop building the python3-sane-dbg package. Closes: #994319.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 13:11:44 +0200

pillow-sane (2.9.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 14:32:45 +0100

pillow-sane (2.8.3-5) unstable; urgency=medium

  * Update standards and debhelper versions.
  * Remove tests, left-over from before the package split-out. Replace
    with a simple import test.
  * Build using setuptools.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 12:42:54 +0100
