=== debian/control ===
Source: pillow-sane
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 13),
  dh-python,
  python3-all-dev, python3-setuptools,
  libsane-dev,
  python3-pil,
  python3-numpy,
Build-Conflicts: python-cffi, python3-cffi
Standards-Version: 4.6.2
Homepage: http://python-pillow.github.io/
XS-Testsuite: autopkgtest

Package: python3-sane
Architecture: any
Multi-Arch: same
Depends: python3-pil, ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-tk
Suggests: python-pil-doc, python3-sane-dbg
Provides: ${python3:Provides}
Description: Python Imaging Library - SANE interface (Python3)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
