## pillow-sane 2.9.2

=== debian/changelog ===
pillow-sane (2.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Aug 2025 07:42:32 +0200
