=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,6 @@
 	touch $@
 build-stamp-python%:
 	$(SET_CROSS_ENV) python$* setup.py build
-
-	$(SET_CROSS_ENV) python$*-dbg setup.py build
 	touch $@
 
 pillow_tests = $(wildcard Tests/test*.py)
@@ -85,9 +83,6 @@
 	$(SET_CROSS_ENV) python$* setup.py install \
 		--root $(CURDIR)/debian/python3-sane $(py_setup_install_args)
 
-	$(SET_CROSS_ENV) python$*-dbg setup.py install \
-		--root $(CURDIR)/debian/python3-sane-dbg $(py_setup_install_args)
-
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
 binary-indep: build install
@@ -101,15 +96,9 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a #CHANGES
-	for p in \
-	  python3-sane; \
-	do \
-	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
-	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
-	done
 	dh_python3 -a
 	dh_numpy3 -a
-	dh_strip -ppython3-sane --dbg-package=python3-sane-dbg
+	dh_strip -ppython3-sane
 	dh_link -a
 	dh_compress -a -X.py
 	dh_fixperms -a
